### Function Macro

# GLib main_new

deprecated: 2.2

#### Declaration

    #define g_main_new (
      is_running
    )

#### Description

Creates a new `GMainLoop` for th default main context.

Deprecated since: 2.2

Use `g_main_loop_new()` instead.

This function is not directly available to language bindings.

#### Parameters

`is_running`

  Type: `-`

  Set to `TRUE` to indicate that the loop is running. This is not very important since calling `g_main_run()` will set this to `TRUE` anyway.